package main

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type l10nEntry struct {
	tag, key string
	msg      interface{}
}

var l10nEntries = [...]l10nEntry{
	{"en", "ToDo", "ToDo"},
	{"en", "Due", "Due"},
	{"en", "File", "File"},
	{"de", "ToDo", "Aufgabe"},
	{"de", "Due", "Erledigen bis"},
	{"de", "File", "Datei"},

	//{"en", "%d task(s) remaining!", plural.Selectf(1, "%d",
	//	"=1", "One task remaining!",
	//	"=2", "Two tasks remaining!",
	//	"other", "[1]d tasks remaining!",
	//)},
	//{"el", "%d task(s) remaining!", plural.Selectf(1, "%d",
	//	"=1", "Μία εργασία έμεινε!",
	//	"=2", "Μια-δυο εργασίες έμειναν!",
	//	"other", "[1]d εργασίες έμειναν!",
	//)},
}

func initL10n() {
	for _, e := range l10nEntries {
		tag := language.MustParse(e.tag)
		switch msg := e.msg.(type) {
		case string:
			message.SetString(tag, e.key, msg)
		case catalog.Message:
			message.Set(tag, e.key, msg)
		case []catalog.Message:
			message.Set(tag, e.key, msg...)
		}
	}
}
