package main

import (
	"fmt"

	"golang.org/x/text/message"
)

// Wird beim Bauen per
// -ldflags "-X main.version=$app_version -X main.build=$(due --iso-8601 | tr -d "-" )"
// gesetzt
var (
	version string
	build   string
	printer *message.Printer
	//sugar   *zap.SugaredLogger
)

func init() {
	printer = message.NewPrinter(message.MatchLanguage("de"))
	initEnvironment()
	initL10n()

	//initLogger()
}

//func initLogger() {
//	logger, _ := zap.NewDevelopment()
//	defer logger.Sync() // flushes buffer, if any
//
//	sugar = logger.Sugar()
//	sugar.Infow("failed to fetch URL")
//}

func initEnvironment() {
}

/**
 */
func main() {

	activeCommand, _, config := NewConfiguration()

	version = "development"
	build = "1.1.1"
	//
	switch activeCommand.Name {

	case "version":
		fmt.Println("Version " + version + " (" + build + ")")
	case "overview":
		subcommand := activeCommand.Active
		switch subcommand.Name {
		case "print":
			err := PrintOverview(config)
			if err != nil {
				printErrorAndExit(2, err.Error())
			}
		}

	case "meta":
		subcommand := activeCommand.Active
		switch subcommand.Name {
		case "print":
			err := printMeta(config)
			if err != nil {
				printErrorAndExit(2, err.Error())
			}
		}

	case "todos":
		subcommand := activeCommand.Active
		switch subcommand.Name {
		case "print":
			err := printToDoTable(config)
			if err != nil {
				printErrorAndExit(2, err.Error())
			}
		}

	case "items":
		subcommand := activeCommand.Active
		switch subcommand.Name {
		case "print":
			err := printItemTable(config)
			if err != nil {
				printErrorAndExit(2, err.Error())
			}
		}

	}

}
