package main

import (
	"html/template"
	"os"
)

type Dataset struct {
	Config *Configuration
	Meta   string
}

func PrintOverview(config *Configuration) error {

	err, pageData := GetPageData(config.Path)
	if err != nil {
		return err
	}

	err, meta := buildMeta(config, pageData)
	if err != nil {
		return err
	}

	t, err := template.New("overview").Parse("You have a task named\n{{ .Meta}} ")
	if err != nil {
		return err
	}

	d := new(Dataset)
	d.Meta = meta
	d.Config = config
	//d.pageData = pageData

	err = t.Execute(os.Stdout, d)
	if err != nil {
		return err
	}

	return nil

}
